package com.lzmispt.data.resource.fallback;

package .tmp;

import com.lzmispt.core.entity.dto.authorize.GetDataAuthorizeInfoDTO;
import com.lzmispt.core.entity.dto.file.ByteArrayUploadDTO;
import com.lzmispt.core.entity.dto.querymodel.QueryModelDTO;
import com.lzmispt.core.entity.vo.authorize.GetDataAuthorizeInfoVO;
import com.lzmispt.core.entity.vo.file.FileAndPathVO;
import com.lzmispt.core.entity.vo.file.FileVO;
import com.lzmispt.core.entity.vo.sms.SendSmsResultVO;
import com.lzmispt.core.entity.vo.user.GetOrganizationIdAndNameVO;
import com.lzmispt.core.entity.vo.user.OrganizationVO;
import com.lzmispt.core.entity.vo.user.UserVO;
import com.lzmispt.data.center.entity.dto.monitor.SendShortMessageDTO;
import com.lzmispt.data.resource.client.CoreClient;
import com.lzmispt.framework.entity.entity.ResultEntity;
import java.util.List;
import org.springframework.stereotype.Component;

@Component
public class CoreClientFallBack implements CoreClient {
  public ResultEntity<FileVO> uploadByteArray(ByteArrayUploadDTO byteArrayUploadDTO, String tokenId) {
    return null;
  }
  
  public ResultEntity<Boolean> deleteFile(Long fileId, String tokenId) {
    return null;
  }
  
  public ResultEntity<FileAndPathVO> getFileInfoAndPath(Long fileId, String tokenId) {
    return null;
  }
  
  public ResultEntity<Boolean> deleteFiles(List<Long> fileIds, String tokenId) {
    return null;
  }
  
  public ResultEntity<List<UserVO>> getUserList(QueryModelDTO queryModelDTO, String tokenId) {
    return null;
  }
  
  public ResultEntity<SendSmsResultVO> sendBySceneCode(SendShortMessageDTO param, String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<UserVO> getUserVOById(Long userId, String tokenId) {
    return null;
  }
  
  public ResultEntity<Boolean> checkTokenId(String tokenId) {
    return null;
  }
  
  public ResultEntity<GetDataAuthorizeInfoVO> getDataAuthorizeInfo(GetDataAuthorizeInfoDTO getAuthorizeInfoDTO, String tokenId) {
    return null;
  }
  
  public ResultEntity<List<OrganizationVO>> getOrganizationByCodes(List<String> codes, String tokenId) {
    return null;
  }
  
  public ResultEntity<List<GetOrganizationIdAndNameVO>> getOrganizationListByIds(List<Long> ids, String tokenId) {
    return null;
  }
  
  public ResultEntity<UserVO> getUserInfoById(Long id, Long orgId, String tokenId) {
    return null;
  }
}
